be.fgov.ehealth.aa.complextype.v1

## Class GIAMIOrganization

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.GIAMIEntityType
  - - be.fgov.ehealth.aa.complextype.v1.GIAMIOrganization

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:13:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class GIAMIOrganization
      extends GIAMIEntityType
      implements Serializable

  Info on organization known in CLC.

  Java class for GIAMIOrganizationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GIAMIOrganizationType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}GIAMIEntityType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}GIAMIQuality" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GIAMIOrganization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<GIAMIEntityType>` | `getGIAMIQualities()` Gets the value of the giamiQualities property.

    - ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.GIAMIEntityType

      `getAttributeStatement, getGIAMIAdministrator, setAttributeStatement, setGIAMIAdministrator`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GIAMIOrganization

          public GIAMIOrganization()

  - ### Method Detail

    - #### getGIAMIQualities

          public List<GIAMIEntityType> getGIAMIQualities()

      Gets the value of the giamiQualities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the giamiQualities property.

      For example, to add a new item, do as follows:

              getGIAMIQualities().add(newItem);

      Objects of the following type(s) are allowed in the list `GIAMIEntityType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.